name: wyatt_component_copy_with_gen
description: Generator for copywith method for components.
repository: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/component_copy_with_gen
version: 1.0.0

publish_to: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub

environment:
  sdk: ">=2.19.0 <3.0.0"

dependencies:
  build: ^2.3.1
  source_gen: ^1.2.7
  analyzer: ^5.4.0

  wyatt_component_copy_with_extension:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub
    version: ^1.0.0

dev_dependencies:
  test: ^1.21.0

  wyatt_analysis:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub
    version: ^2.4.1
